Name: perl-Want
Version: 0.09
Release: 1%{?dist}
Summary: Perl module implementing a generalisation of wantarray
License: GPL or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/Want/
Source0: http://search.cpan.org/CPAN/authors/id/R/RO/ROBIN/Want-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module generalises the mechanism of the wantarray
function, allowing a function to determine in some detail
how its return value is going to be immediately used.

%prep
%setup -q -n Want-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="${RPM_OPT_FLAGS}"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install \
    PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
    INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}

find $RPM_BUILD_ROOT -type f -a \( -name .packlist \
  -o -name perllocal.pod \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/Want*
%{perl_vendorarch}/auto/Want*
%{_mandir}/man3/*

%changelog
* Sat Jul 02 2005 Ralf Corsepius <ralf@links2linux.de> - 0.09-1
- Upstream update to 0.09.

* Fri Jul 01 2005 Ralf Corsepius <ralf@links2linux.de> - 0.08-3
- Remove ||: in %%check.

* Fri Jul 01 2005 Ralf Corsepius <ralf@links2linux.de> - 0.08-2
- Pass OPTIMIZE during generation of Makefile.
- Use perl instead of %%__perl.

* Fri Jul 01 2005 Ralf Corsepius <ralf@links2linux.de> - 0.08-1
- FE submission.
